Get Live Streamings
curl --request GET \
--url https://api.thefaithapp.com/v1/streamings \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/streamings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/streamings"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"video_streaming": {
"id": 1,
"live_title": "REVERE 24/7 Worship Live Stream",
"source": "1",
"live_stream_url": "https://www.youtube.com/embed/M94RrCFqaw4?si=Ma17eZPBxSWfzZQi",
"live_status": 0,
"client_id": 2,
"deleted_at": null,
"created_at": "2025-05-02T21:50:44.000000Z",
"updated_at": "2025-05-02T21:50:44.000000Z"
},
"audio_streaming": {
"id": 1,
"title": "teste",
"stream_url": "https://stream.zeno.fm/h3d42qflyiquv",
"type": "0",
"status": "0",
"thumbnail": "https://i0.wp.com/www.robertrickman.net/wp-content/uploads/2015/05/stock-footage-audio-spectrum-loop.jpg",
"client_id": 2,
"deleted_at": null,
"created_at": "2025-05-02T21:50:13.000000Z",
"updated_at": "2025-05-02T21:50:13.000000Z"
}
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Content
Get Live Streamings
Retrieve the current live video and audio streaming information for the authenticated user’s church.
GET
/
v1
/
streamings
Get Live Streamings
curl --request GET \
--url https://api.thefaithapp.com/v1/streamings \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/streamings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/streamings"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"video_streaming": {
"id": 1,
"live_title": "REVERE 24/7 Worship Live Stream",
"source": "1",
"live_stream_url": "https://www.youtube.com/embed/M94RrCFqaw4?si=Ma17eZPBxSWfzZQi",
"live_status": 0,
"client_id": 2,
"deleted_at": null,
"created_at": "2025-05-02T21:50:44.000000Z",
"updated_at": "2025-05-02T21:50:44.000000Z"
},
"audio_streaming": {
"id": 1,
"title": "teste",
"stream_url": "https://stream.zeno.fm/h3d42qflyiquv",
"type": "0",
"status": "0",
"thumbnail": "https://i0.wp.com/www.robertrickman.net/wp-content/uploads/2015/05/stock-footage-audio-spectrum-loop.jpg",
"client_id": 2,
"deleted_at": null,
"created_at": "2025-05-02T21:50:13.000000Z",
"updated_at": "2025-05-02T21:50:13.000000Z"
}
}{
"error_message": "Unauthorized"
}{
"error": "User not found"
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Was this page helpful?